Manifest-Version: 1.0
Bnd-LastModified: 1749106798349
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Asset Publisher Web
Bundle-SymbolicName: com.liferay.asset.publisher.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.117.hotfix-10007-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.portal.kernel.portlet;version="[10.3.0,999
 9.0.0)",aQute.bnd.annotation.metatype;version="1.45",com.liferay.asse
 t.constants;version="1.1",com.liferay.asset.display.page.constants;ve
 rsion="1.1",com.liferay.asset.display.page.model;version="3.3",com.li
 feray.asset.display.page.portlet;version="3.5",com.liferay.asset.disp
 lay.page.service;version="2.7",com.liferay.asset.display.page.util;ve
 rsion="1.1",com.liferay.asset.kernel;version="1.1",com.liferay.asset.
 kernel.action;version="1.1",com.liferay.asset.kernel.exception;versio
 n="2.1",com.liferay.asset.kernel.model;version="3.6",com.liferay.asse
 t.kernel.service;version="2.12",com.liferay.asset.kernel.service.pers
 istence;version="3.6",com.liferay.asset.kernel.util;version="2.0",com
 .liferay.asset.list.asset.entry.provider;version="1.0",com.liferay.as
 set.list.exception;version="1.0",com.liferay.asset.list.model;version
 ="1.5",com.liferay.asset.list.service;version="1.7",com.liferay.asset
 .publisher.constants;version="1.2",com.liferay.asset.publisher.util;v
 ersion="1.2",com.liferay.asset.util;version="1.6",com.liferay.asset.u
 til.comparator;version="1.1",com.liferay.document.library.kernel.docu
 ment.conversion;version="1.0",com.liferay.document.library.kernel.mod
 el;version="3.2",com.liferay.document.library.kernel.service;version=
 "3.9",com.liferay.dynamic.data.mapping.kernel;version="1.4",com.lifer
 ay.dynamic.data.mapping.model;version="4.6",com.liferay.dynamic.data.
 mapping.service;version="3.11",com.liferay.dynamic.data.mapping.stora
 ge;version="1.4",com.liferay.dynamic.data.mapping.util;version="2.10"
 ,com.liferay.expando.kernel.model;version="3.4",com.liferay.exportimp
 ort.kernel.lar;version="3.7",com.liferay.exportimport.kernel.staging;
 version="2.3",com.liferay.exportimport.portlet.preferences.processor;
 version="1.2",com.liferay.exportimport.portlet.preferences.processor.
 base;version="1.1",com.liferay.friendly.url.model;version="2.2",com.l
 iferay.friendly.url.service;version="1.6",com.liferay.frontend.taglib
 .clay.servlet.taglib.util;version="3.6",com.liferay.info.display.cont
 ributor;version="2.3",com.liferay.info.display.url.provider;version="
 1.0",com.liferay.info.item;version="1.1",com.liferay.info.list.provid
 er;version="1.2",com.liferay.info.pagination;version="1.0",com.lifera
 y.info.sort;version="1.0",com.liferay.info.type;version="1.2",com.lif
 eray.item.selector;version="4.3",com.liferay.item.selector.criteria;v
 ersion="2.1",com.liferay.item.selector.criteria.group.criterion;versi
 on="1.3",com.liferay.item.selector.criteria.info.item.criterion;versi
 on="1.2",com.liferay.journal.exception;version="2.2",com.liferay.jour
 nal.model;version="4.2",com.liferay.journal.service;version="3.8",com
 .liferay.layout.display.page;version="1.0",com.liferay.layout.model;v
 ersion="1.1",com.liferay.layout.page.template.model;version="2.5",com
 .liferay.layout.page.template.service;version="3.7",com.liferay.layou
 t.service;version="1.4",com.liferay.osgi.service.tracker.collections;
 version="1.1",com.liferay.osgi.service.tracker.collections.map;versio
 n="2.2",com.liferay.petra.function;version="1.5",com.liferay.petra.sq
 l.dsl;version="1.0",com.liferay.petra.sql.dsl.query;version="1.0",com
 .liferay.petra.string;version="1.5",com.liferay.portal.configuration.
 metatype.annotations;version="1.3",com.liferay.portal.configuration.m
 etatype.bnd.util;version="2.0",com.liferay.portal.kernel.annotation;v
 ersion="7.0",com.liferay.portal.kernel.dao.orm;version="9.8",com.life
 ray.portal.kernel.dao.search;version="8.0",com.liferay.portal.kernel.
 exception;version="9.7",com.liferay.portal.kernel.json;version="8.11"
 ,com.liferay.portal.kernel.language;version="8.3",com.liferay.portal.
 kernel.log;version="7.0",com.liferay.portal.kernel.messaging;version=
 "9.1",com.liferay.portal.kernel.model;version="5.7",com.liferay.porta
 l.kernel.module.configuration;version="2.0",com.liferay.portal.kernel
 .module.framework;version="1.4",com.liferay.portal.kernel.portlet.bri
 dges.mvc;version="3.0",com.liferay.portal.kernel.portlet.toolbar.cont
 ributor;version="1.1",com.liferay.portal.kernel.portletdisplaytemplat
 e;version="6.4",com.liferay.portal.kernel.resource.bundle;version="1.
 0",com.liferay.portal.kernel.scheduler;version="9.1",com.liferay.port
 al.kernel.search;version="9.7",com.liferay.portal.kernel.search.filte
 r;version="1.0",com.liferay.portal.kernel.security.auth;version="2.7"
 ,com.liferay.portal.kernel.security.permission;version="3.5",com.life
 ray.portal.kernel.service;version="4.21",com.liferay.portal.kernel.se
 rvice.permission;version="2.0",com.liferay.portal.kernel.servlet;vers
 ion="8.6",com.liferay.portal.kernel.servlet.taglib.ui;version="6.7",c
 om.liferay.portal.kernel.settings;version="3.1",com.liferay.portal.ke
 rnel.settings.definition;version="1.0",com.liferay.portal.kernel.temp
 late;version="9.1",com.liferay.portal.kernel.theme;version="3.2",com.
 liferay.portal.kernel.trash;version="9.0",com.liferay.portal.kernel.u
 pgrade;version="8.8",com.liferay.portal.kernel.upload;version="8.2",c
 om.liferay.portal.kernel.util;version="10.42",com.liferay.portal.kern
 el.view.count;version="1.2",com.liferay.portal.kernel.workflow;versio
 n="9.6",com.liferay.portal.kernel.workflow.permission;version="7.0",c
 om.liferay.portal.kernel.xml;version="7.0",com.liferay.portal.search.
 hits,com.liferay.portal.upgrade.registry;version="3.1",com.liferay.po
 rtal.util;version="4.30",com.liferay.portal.vulcan.util;version="8.2"
 ,com.liferay.portlet;version="2.4",com.liferay.portlet.asset.service.
 permission;version="2.0",com.liferay.portlet.configuration.kernel.uti
 l;version="1.0",com.liferay.portlet.display.template.exportimport.por
 tlet.preferences.processor;version="1.0",com.liferay.portlet.usersadm
 in.search;version="1.1",com.liferay.registry.collections;version="2.0
 ",com.liferay.rss.export;version="1.0",com.liferay.rss.model;version=
 "1.0",com.liferay.rss.util;version="1.0",com.liferay.segments;version
 ="1.1",com.liferay.segments.context;version="2.0",com.liferay.site.it
 em.selector.criteria;version="1.0",com.liferay.site.model.adapter;ver
 sion="2.0",com.liferay.sites.kernel.util;version="1.4",com.liferay.st
 aging;version="1.1",com.liferay.subscription.model;version="2.2",com.
 liferay.subscription.service;version="1.7",com.liferay.taglib.aui;ver
 sion="9.2",com.liferay.trash.kernel.model;version="1.1",javax.portlet
 ,javax.portlet.annotations,javax.portlet.filter,javax.servlet,javax.s
 ervlet.http,org.apache.commons.lang.text;version="2.6",org.osgi.frame
 work;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Asset
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.asset.publisher.web.internal,com.liferay.
 asset.publisher.web.internal.action,com.liferay.asset.publisher.web.i
 nternal.configuration,com.liferay.asset.publisher.web.internal.consta
 nts,com.liferay.asset.publisher.web.internal.display.context,com.life
 ray.asset.publisher.web.internal.exportimport.data.handler,com.lifera
 y.asset.publisher.web.internal.exportimport.portlet.preferences.proce
 ssor,com.liferay.asset.publisher.web.internal.handler,com.liferay.ass
 et.publisher.web.internal.helper,com.liferay.asset.publisher.web.inte
 rnal.messaging,com.liferay.asset.publisher.web.internal.portlet,com.l
 iferay.asset.publisher.web.internal.portlet.action,com.liferay.asset.
 publisher.web.internal.portlet.filter,com.liferay.asset.publisher.web
 .internal.portlet.layout.listener,com.liferay.asset.publisher.web.int
 ernal.portlet.route,com.liferay.asset.publisher.web.internal.portlet.
 template,com.liferay.asset.publisher.web.internal.portlet.toolbar.con
 tributor,com.liferay.asset.publisher.web.internal.servlet.taglib.ui,c
 om.liferay.asset.publisher.web.internal.servlet.taglib.util,com.lifer
 ay.asset.publisher.web.internal.settings.definition,com.liferay.asset
 .publisher.web.internal.upgrade,com.liferay.asset.publisher.web.inter
 nal.upgrade.v1_0_0,com.liferay.asset.publisher.web.internal.upgrade.v
 1_0_1,com.liferay.asset.publisher.web.internal.upgrade.v1_0_2,com.lif
 eray.asset.publisher.web.internal.upgrade.v1_0_3,com.liferay.asset.pu
 blisher.web.internal.upgrade.v1_0_4,com.liferay.asset.publisher.web.i
 nternal.util,com.liferay.asset.publisher.web.portlet.email.dependenci
 es,com.liferay.asset.publisher.web.portlet.template.dependencies,cont
 ent,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=asset-publisher-
 web;version:Version="4.0.117.hotfix-10007-7310",osgi.service;objectCl
 ass:List<String>="com.liferay.asset.publisher.util.AssetPublisherHelp
 er";uses:="com.liferay.asset.publisher.util",osgi.service;objectClass
 :List<String>="com.liferay.asset.publisher.web.internal.action.AssetE
 ntryActionRegistry";uses:="com.liferay.asset.publisher.web.internal.a
 ction",osgi.service;objectClass:List<String>="com.liferay.asset.publi
 sher.web.internal.handler.AssetListExceptionRequestHandler";uses:="co
 m.liferay.asset.publisher.web.internal.handler",osgi.service;objectCl
 ass:List<String>="com.liferay.asset.publisher.web.internal.helper.Ass
 etPublisherWebHelper";uses:="com.liferay.asset.publisher.web.internal
 .helper",osgi.service;objectClass:List<String>="com.liferay.asset.pub
 lisher.web.internal.helper.AssetRSSHelper";uses:="com.liferay.asset.p
 ublisher.web.internal.helper",osgi.service;objectClass:List<String>="
 com.liferay.asset.publisher.web.internal.messaging.AssetEntriesChecke
 rHelper";uses:="com.liferay.asset.publisher.web.internal.messaging",o
 sgi.service;objectClass:List<String>="com.liferay.asset.publisher.web
 .internal.portlet.AssetPublisherPortlet,javax.portlet.Portlet";uses:=
 "com.liferay.asset.publisher.web.internal.portlet,javax.portlet",osgi
 .service;objectClass:List<String>="com.liferay.asset.publisher.web.in
 ternal.portlet.toolbar.contributor.AssetPublisherPortletToolbarContri
 butor,com.liferay.portal.kernel.portlet.toolbar.contributor.PortletTo
 olbarContributor";uses:="com.liferay.asset.publisher.web.internal.por
 tlet.toolbar.contributor,com.liferay.portal.kernel.portlet.toolbar.co
 ntributor",osgi.service;objectClass:List<String>="com.liferay.asset.p
 ublisher.web.internal.util.AssetPublisherCustomizer";uses:="com.lifer
 ay.asset.publisher.web.internal.util",osgi.service;objectClass:List<S
 tring>="com.liferay.asset.publisher.web.internal.util.AssetPublisherC
 ustomizerRegistry";uses:="com.liferay.asset.publisher.web.internal.ut
 il",osgi.service;objectClass:List<String>="com.liferay.exportimport.k
 ernel.lar.PortletDataHandler";uses:="com.liferay.exportimport.kernel.
 lar",osgi.service;objectClass:List<String>="com.liferay.exportimport.
 portlet.preferences.processor.ExportImportPortletPreferencesProcessor
 ";uses:="com.liferay.exportimport.portlet.preferences.processor",osgi
 .service;objectClass:List<String>="com.liferay.item.selector.ItemSele
 ctorView";uses:="com.liferay.item.selector",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.portlet.AddPortletProvider,co
 m.liferay.portal.kernel.portlet.ViewPortletProvider";uses:="com.lifer
 ay.portal.kernel.portlet,com.liferay.portal.kernel.portlet",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.portlet.Confi
 gurationAction";uses:="com.liferay.portal.kernel.portlet",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.portlet.Friendl
 yURLMapper";uses:="com.liferay.portal.kernel.portlet",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.portlet.FriendlyURL
 Resolver";uses:="com.liferay.portal.kernel.portlet",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.portlet.PortletLayout
 Listener";uses:="com.liferay.portal.kernel.portlet",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.M
 VCActionCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.se
 rvlet.taglib.ui.FormNavigatorCategory";uses:="com.liferay.portal.kern
 el.servlet.taglib.ui",osgi.service;objectClass:List<String>="com.life
 ray.portal.kernel.servlet.taglib.ui.FormNavigatorEntry";uses:="com.li
 feray.portal.kernel.servlet.taglib.ui",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.settings.definition.ConfigurationB
 eanDeclaration";uses:="com.liferay.portal.kernel.settings.definition"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.tem
 plate.TemplateHandler";uses:="com.liferay.portal.kernel.template",osg
 i.service;objectClass:List<String>="com.liferay.portal.upgrade.regist
 ry.UpgradeStepRegistrator";uses:="com.liferay.portal.upgrade.registry
 ",osgi.service;objectClass:List<String>="com.liferay.portlet.display.
 template.exportimport.portlet.preferences.processor.PortletDisplayTem
 plateRegister";uses:="com.liferay.portlet.display.template.exportimpo
 rt.portlet.preferences.processor",osgi.service;objectClass:List<Strin
 g>="javax.portlet.Portlet";uses:="javax.portlet",osgi.service;objectC
 lass:List<String>="javax.portlet.filter.PortletFilter";uses:="javax.p
 ortlet.filter",liferay.resource.bundle;bundle.symbolic.name="com.life
 ray.asset.publisher.web";resource.bundle.base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/comment))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ddm))",osgi.
 extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com
 /tld/flags))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.ex
 tender=jsp.taglib)(uri=http://liferay.com/tld/portlet))",osgi.extende
 r;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ra
 tings))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http
 ://liferay.com/tld/react))",osgi.extender;filter:="(&(osgi.extender=j
 sp.taglib)(uri=http://liferay.com/tld/rss))",osgi.extender;filter:="(
 &(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/site))",osgi.e
 xtender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/
 tld/social-bookmarks))",osgi.extender;filter:="(&(osgi.extender=jsp.t
 aglib)(uri=http://liferay.com/tld/theme))",osgi.extender;filter:="(&(
 osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",osgi.exten
 der;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/
 util))",osgi.extender;filter:="(&(osgi.extender=osgi.component)(versi
 on>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(objectClass=co
 m.liferay.asset.display.page.portlet.AssetDisplayPageFriendlyURLProvi
 der)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.asset.display.page.service.AssetDisplayPageEntryLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.ke
 rnel.service.AssetCategoryLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.asset.kernel.service.AssetEntryL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.asset.kernel.service.AssetEntryService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.asset.kernel.service.A
 ssetTagLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.asset.kernel.service.AssetVocabularyLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.asse
 t.list.asset.entry.provider.AssetListAssetEntryProvider)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.asset.list.serv
 ice.AssetListEntryLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.asset.list.service.AssetListEntrySegment
 sEntryRelLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.asset.list.service.AssetListEntryService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.list
 .service.AssetListEntryUsageLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.publisher.util.AssetPubl
 isherHelper)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.asset.publisher.web.internal.action.AssetEntryActionRegistr
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 asset.publisher.web.internal.handler.AssetListExceptionRequestHandler
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.a
 sset.publisher.web.internal.helper.AssetPublisherWebHelper)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.asset.publis
 her.web.internal.helper.AssetRSSHelper)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.asset.publisher.web.internal.mes
 saging.AssetEntriesCheckerHelper)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.asset.publisher.web.internal.util.Asse
 tPublisherCustomizer)";effective:=active;resolution:=optional;cardina
 lity:=multiple,osgi.service;filter:="(objectClass=com.liferay.asset.p
 ublisher.web.internal.util.AssetPublisherCustomizerRegistry)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.asset.util.
 AssetEntryQueryProcessor)";effective:=active;resolution:=optional;car
 dinality:=multiple,osgi.service;filter:="(objectClass=com.liferay.ass
 et.util.AssetHelper)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.asset.util.AssetRendererFactoryClassProvider)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.document
 .library.kernel.service.DLFileEntryTypeLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappin
 g.service.DDMStructureLinkLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDM
 StructureLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.dynamic.data.mapping.service.DDMTemplateLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.dynamic.data.mapping.util.DDMIndexer)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.exportimport.kernel.staging.Stag
 ing)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.exportimport.portlet.preferences.processor.Capability)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.friendly.url.se
 rvice.FriendlyURLEntryLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.info.display.contributor.InfoDisplay
 ContributorTracker)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.info.display.url.provider.InfoEditURLProviderTracker
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.i
 nfo.item.InfoItemServiceTracker)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.info.list.provider.InfoListProviderTrac
 ker)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.item.selector.ItemSelector)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.journal.service.JournalArticleLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.l
 ayout.display.page.LayoutDisplayPageProviderTracker)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.layout.page.templat
 e.service.LayoutPageTemplateEntryService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.layout.service.LayoutClassedMo
 delUsageLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.model.Release)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.module.con
 figuration.ConfigurationProvider)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.module.framework.ModuleS
 erviceLifecycle)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.scheduler.SchedulerEngineHelper)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.scheduler.TriggerFactory)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.ClassNameLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.service.CompanyLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.service.GroupLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.LayoutLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 LayoutRevisionLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.OrganizationLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.PortletLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.service.Portle
 tPreferencesLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.service.UserLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.util.Http)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.util.HttpUtil)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.xml.SAXReader)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.rss.export.RSSExporter)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.rss.model.SyndModelFactory)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.seg
 ments.SegmentsEntryRetriever)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.segments.context.RequestContextMapper)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.stagin
 g.StagingGroupHelper)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.subscription.service.SubscriptionLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=javax.servlet.Serv
 letContext)";effective:=active,osgi.contract;osgi.contract=JavaPortle
 t;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contra
 ct;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(v
 ersion=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.asset.publisher.web.internal.C
 hildSitesItemSelectorView.xml,OSGI-INF/com.liferay.asset.publisher.we
 b.internal.LayoutScopesItemSelectorView.xml,OSGI-INF/com.liferay.asse
 t.publisher.web.internal.ParentSitesItemSelectorView.xml,OSGI-INF/com
 .liferay.asset.publisher.web.internal.SitesThatIAdministerItemSelecto
 rView.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.action.As
 setEntryActionRegistry.xml,OSGI-INF/com.liferay.asset.publisher.web.i
 nternal.exportimport.data.handler.AssetPublisherPortletDataHandler.xm
 l,OSGI-INF/com.liferay.asset.publisher.web.internal.exportimport.data
 .handler.HighestRatedAssetsPortletDataHandler.xml,OSGI-INF/com.lifera
 y.asset.publisher.web.internal.exportimport.data.handler.MostViewedAs
 setsPortletDataHandler.xml,OSGI-INF/com.liferay.asset.publisher.web.i
 nternal.exportimport.data.handler.RelatedAssetsPortletDataHandler.xml
 ,OSGI-INF/com.liferay.asset.publisher.web.internal.exportimport.portl
 et.preferences.processor.AssetPublisherExportImportPortletPreferences
 Processor.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.expor
 timport.portlet.preferences.processor.AssetPublisherPortletDisplayTem
 plateExportCapability.xml,OSGI-INF/com.liferay.asset.publisher.web.in
 ternal.exportimport.portlet.preferences.processor.AssetPublisherPortl
 etDisplayTemplateImportCapability.xml,OSGI-INF/com.liferay.asset.publ
 isher.web.internal.exportimport.portlet.preferences.processor.Highest
 RatedAssetsExportImportPortletPreferencesProcessor.xml,OSGI-INF/com.l
 iferay.asset.publisher.web.internal.exportimport.portlet.preferences.
 processor.MostViewedAssetsExportImportPortletPreferencesProcessor.xml
 ,OSGI-INF/com.liferay.asset.publisher.web.internal.exportimport.portl
 et.preferences.processor.RecentContentExportImportPortletPreferencesP
 rocessor.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.export
 import.portlet.preferences.processor.RelatedAssetsExportImportPortlet
 PreferencesProcessor.xml,OSGI-INF/com.liferay.asset.publisher.web.int
 ernal.handler.AssetListExceptionRequestHandler.xml,OSGI-INF/com.lifer
 ay.asset.publisher.web.internal.helper.AssetPublisherWebHelper.xml,OS
 GI-INF/com.liferay.asset.publisher.web.internal.helper.AssetRSSHelper
 .xml,OSGI-INF/com.liferay.asset.publisher.web.internal.messaging.Asse
 tEntriesCheckerHelper.xml,OSGI-INF/com.liferay.asset.publisher.web.in
 ternal.messaging.CheckAssetEntryMessageListener.xml,OSGI-INF/com.life
 ray.asset.publisher.web.internal.portlet.AssetPublisherAddPortletProv
 ider.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.portlet.As
 setPublisherPortlet.xml,OSGI-INF/com.liferay.asset.publisher.web.inte
 rnal.portlet.DefaultAssetDisplayPageFriendlyURLResolver.xml,OSGI-INF/
 com.liferay.asset.publisher.web.internal.portlet.HighestRatedAssetsPo
 rtlet.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.portlet.M
 ostViewedAssetsPortlet.xml,OSGI-INF/com.liferay.asset.publisher.web.i
 nternal.portlet.RecentContentPortlet.xml,OSGI-INF/com.liferay.asset.p
 ublisher.web.internal.portlet.RelatedAssetsPortlet.xml,OSGI-INF/com.l
 iferay.asset.publisher.web.internal.portlet.action.AddAssetListMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.port
 let.action.AssetPublisherConfigurationAction.xml,OSGI-INF/com.liferay
 .asset.publisher.web.internal.portlet.action.HighestRatedAssetsConfig
 urationAction.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.p
 ortlet.action.MostViewedAssetsConfigurationAction.xml,OSGI-INF/com.li
 feray.asset.publisher.web.internal.portlet.action.RecentContentConfig
 urationAction.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.p
 ortlet.action.RelatedAssetsConfigurationAction.xml,OSGI-INF/com.lifer
 ay.asset.publisher.web.internal.portlet.filter.AssetPublisherRenderPa
 rametersPortletFilter.xml,OSGI-INF/com.liferay.asset.publisher.web.in
 ternal.portlet.filter.RelatedAssetsRenderParametersPortletFilter.xml,
 OSGI-INF/com.liferay.asset.publisher.web.internal.portlet.layout.list
 ener.AssetPublisherPortletLayoutListener.xml,OSGI-INF/com.liferay.ass
 et.publisher.web.internal.portlet.route.AssetPublisherFriendlyURLMapp
 er.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.portlet.rout
 e.HighestRatedAssetsFriendlyURLMapper.xml,OSGI-INF/com.liferay.asset.
 publisher.web.internal.portlet.route.MostViewedAssetsFriendlyURLMappe
 r.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.portlet.route
 .RecentContentFriendlyURLMapper.xml,OSGI-INF/com.liferay.asset.publis
 her.web.internal.portlet.route.RelatedAssetsFriendlyURLMapper.xml,OSG
 I-INF/com.liferay.asset.publisher.web.internal.portlet.template.Asset
 PublisherPortletDisplayTemplateHandler.xml,OSGI-INF/com.liferay.asset
 .publisher.web.internal.portlet.template.HighestRatedAssetsPortletDis
 playTemplateHandler.xml,OSGI-INF/com.liferay.asset.publisher.web.inte
 rnal.portlet.template.MostViewedAssetsPortletDisplayTemplateHandler.x
 ml,OSGI-INF/com.liferay.asset.publisher.web.internal.portlet.template
 .RecentContentPortletDisplayTemplateHandler.xml,OSGI-INF/com.liferay.
 asset.publisher.web.internal.portlet.template.RelatedAssetsPortletDis
 playTemplateHandler.xml,OSGI-INF/com.liferay.asset.publisher.web.inte
 rnal.portlet.toolbar.contributor.AssetPublisherPortletToolbarContribu
 tor.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.servlet.tag
 lib.ui.AssetEntriesFormNavigatorEntry.xml,OSGI-INF/com.liferay.asset.
 publisher.web.internal.servlet.taglib.ui.AssetListFormNavigatorEntry.
 xml,OSGI-INF/com.liferay.asset.publisher.web.internal.servlet.taglib.
 ui.AssetListProviderFormNavigatorEntry.xml,OSGI-INF/com.liferay.asset
 .publisher.web.internal.servlet.taglib.ui.AssetSelectionFormNavigator
 Category.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.servle
 t.taglib.ui.CreateAssetListFormNavigatorEntry.xml,OSGI-INF/com.lifera
 y.asset.publisher.web.internal.servlet.taglib.ui.DisplaySettingsFormN
 avigatorCategory.xml,OSGI-INF/com.liferay.asset.publisher.web.interna
 l.servlet.taglib.ui.DisplaySettingsFormNavigatorEntry.xml,OSGI-INF/co
 m.liferay.asset.publisher.web.internal.servlet.taglib.ui.FilterFormNa
 vigatorEntry.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.se
 rvlet.taglib.ui.GroupingFormNavigatorEntry.xml,OSGI-INF/com.liferay.a
 sset.publisher.web.internal.servlet.taglib.ui.MetadataFormNavigatorEn
 try.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.servlet.tag
 lib.ui.OrderingFormNavigatorEntry.xml,OSGI-INF/com.liferay.asset.publ
 isher.web.internal.servlet.taglib.ui.RSSFormNavigatorEntry.xml,OSGI-I
 NF/com.liferay.asset.publisher.web.internal.servlet.taglib.ui.Ratings
 OrderingNavigatorEntry.xml,OSGI-INF/com.liferay.asset.publisher.web.i
 nternal.servlet.taglib.ui.ScopeFormNavigatorEntry.xml,OSGI-INF/com.li
 feray.asset.publisher.web.internal.servlet.taglib.ui.SelectionStyleFo
 rmNavigatorEntry.xml,OSGI-INF/com.liferay.asset.publisher.web.interna
 l.servlet.taglib.ui.SetAndEnableFormNavigatorEntry.xml,OSGI-INF/com.l
 iferay.asset.publisher.web.internal.servlet.taglib.ui.SourceFormNavig
 atorEntry.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.servl
 et.taglib.ui.SubscriptionsFormNavigatorCategory.xml,OSGI-INF/com.life
 ray.asset.publisher.web.internal.servlet.taglib.ui.SubscriptionsFormN
 avigatorEntry.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.s
 ettings.definition.AssetPublisherPortletInstanceConfigurationBeanDecl
 aration.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.setting
 s.definition.AssetPublisherWebConfigurationBeanDeclaration.xml,OSGI-I
 NF/com.liferay.asset.publisher.web.internal.upgrade.AssetPublisherWeb
 Upgrade.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.util.As
 setPublisherHelperImpl.xml,OSGI-INF/com.liferay.asset.publisher.web.i
 nternal.util.DefaultAssetPublisherCustomizer.xml,OSGI-INF/com.liferay
 .asset.publisher.web.internal.util.DefaultAssetPublisherCustomizerReg
 istry.xml,OSGI-INF/com.liferay.asset.publisher.web.internal.util.High
 estRatedAssetPublisherCustomizer.xml,OSGI-INF/com.liferay.asset.publi
 sher.web.internal.util.MostViewedAssetPublisherCustomizer.xml,OSGI-IN
 F/com.liferay.asset.publisher.web.internal.util.RecentContentAssetPub
 lisherCustomizer.xml,OSGI-INF/com.liferay.asset.publisher.web.interna
 l.util.RelatedAssetPublisherCustomizer.xml
Tool: Bnd-5.3.0.202102221516
Web-ContextPath: /asset-publisher-web

